<?php

namespace Modules\AboutUs\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Settings\Entities\Settings;
use Modules\Settings\Services\SettingServices;
use function App\Helper\onSuccess;

class AboutUsController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index(SettingServices $Setting)
    {
        $aboutUs=(object)array();
//        $d->x=1;
//        return 1;
        $setting=($Setting->show()) ;
        $aboutUs->content_one=$setting[Settings::ABOUT_US_ONE]??"";
        $aboutUs->content_two=$setting[Settings::ABOUT_US_TWO]??"";
        $aboutUs->app_store=$setting[Settings::APP_LINK_APP_STORE]??"";
        $aboutUs->bazaar=$setting[Settings::APP_LINK_BAZAR]??"";
        $aboutUs->sibapp=$setting[Settings::APP_LINK_SIBAPP]??"";
        $aboutUs->google_play=$setting[Settings::APP_LINK_GOOGLE_PLAY]??"";

        return ($aboutUs)? onSuccess($aboutUs):onSuccess([]);

    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}
