<?php

namespace Modules\Gift\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use function App\Helper\onSuccess;
use function App\Helper\onSuccessWhitMessage;

class GiftController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        return onSuccess([[

        'id'=> 1,
        'title'=> "",
        'price'=> 5454,
        'is_free'=> true,
    ]]);
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
    return onSuccessWhitMessage([[

        'id'=> 1,
        'title'=> "",
        'price'=> 5454,
        'is_free'=> true,
    ]],'شما با موفقیت در قرعه کشی شرکت داده شدید');
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}
