<?php

namespace Modules\Otp\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class OtpRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [

            'mobile'=>'required|regex:/(09)[0-9]{9}/|min:11',
//            'type'=>'required|in:1,2'
        ];
    }
    public function messages()
    {
        return [
            'mobile.required'=>'فیلد شماره موبایل الزامی می باشد',
            'mobile.regex'=>'فرمت ورودی برای شماره موبایل اشتباه می باشد',
            'mobile.min'=>'فیلد شماره موبایل باید 11 کاراکتر باشد',
            'type.required'=>'فیلد نوع درخواست الزامی می باشد',
            'type.in'=>'ورودی فیلد نوع درخواست باید عدد 1 یا 2 باشد ',
        ];
    }
}
