<?php

namespace Modules\Otp\Services;

use Carbon\Carbon;
use Illuminate\Support\Facades\Cache;
use Modules\Otp\Models\Otp;
use Kavenegar;
class SendOtp
{
    // make random otp code function
    public function makecode()
    {
        return rand(100000, 999999);
    }
    // end random otp code function


    // send register code to user method
    public function sendOtp($mobile)
    {
//        $otp = Otp::where('phone', $mobile)
//            ->whereNotNull('code')
//            ->where('created_at', '>=', Carbon::now()->subHour(1))->get();
//        if (count($otp) < 30 ){
            $code=$this->makecode();
        $expiresAt = Carbon::now()->addMinutes(3);

        Cache::put($mobile, $code, $expiresAt);
//        return Cache::get($mobile.'count');
//        Cache::flush($mobile.'count');
//        ;
        if (($this->overflowRequest($mobile))){

            return ["success"=>false,"message"=>'تا یک ساعت آینده امکان ارسال کد برای شما وجود ندارد','o'=>Cache::get($mobile.'count')];
        }


//        $kavenegar=new \App\Classes\Kavenegar\SendOtp();
//            return $kavenegar->sendOtp($mobile,$code);
            return ["success"=>true,"message"=>'کد یرای شما ارسال شد ','code'=>$code];


    }
    //end send register code method

    public function overflowRequest ($mobile){
        if ( Cache::get($mobile)){
            $cacheCount=Cache::get($mobile.'count');
            if (Cache::get($mobile.'count')>29){
                Cache::put($mobile.'count', $cacheCount+=31, Carbon::now()->addMinutes(60));
                return true;
            }
            $expiresAt = Carbon::now()->addMinutes(3);
            Cache::put($mobile.'count', $cacheCount+=1, $expiresAt);
            return false;
        }
    }
}
