<?php

namespace Modules\QuestionSite\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateFaqRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'=>'required|string|max:90',
            'content'=>'required|string'
        ];
    }
    public function messages()
    {
        return [
            'title.required'                     => 'لطفا عنوان خود را وارد کنید',
            'title.string'                       => 'لطفا عنوان را با فرمت درست وارد کنید',
            'content.required'                   => 'توضیحات را وارد کنید',
            'content.string'                     => 'توضیحات را با فرمت درست وارد کنید',
        ];
    }
}
