<?php

namespace Modules\QuestionSite\Http\Resources;

use Hekmatinasser\Verta\Facades\Verta;
use Illuminate\Http\Resources\Json\JsonResource;

class UpdateFaqsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
//
            'id' => $this->id,
            'title' => $this->title,
            'content' => $this->content,
            'created_at' => Verta::instance($this->created_at)->format(' %B d , l')??null
        ];
    }

    public function with($request)
    {
        return ['success' =>true,];

    }
}
