<?php


namespace Modules\QuestionSite\Providers;


use Illuminate\Support\Facades\Route;
use Illuminate\Support\ServiceProvider;
use Modules\Category\Servises\search\SearchMainPage;
use Modules\Helper\Facad\EloquentRepositoryFacad;
use Modules\QuestionSite\Repository\EloquentQuestionRepository;
use Modules\QuestionSite\Repository\EloquentQuestionRepositoryFacade;

/**
 * Created by PhpStorm.
 * User: Asus
 * Date: 08.02.2022
 * Time: 14:40
 */

class QuestionServiceProvider extends ServiceProvider
{

    protected $moduleName = 'Auth';

    protected $moduleNameLower = 'auth';

    protected $moduleNamespace='Modules\QuestionSite\Http\Controllers';

    public function boot()
    {
    $this->loadMigrationsFrom(__DIR__.'/../Database/Migrations/');
        Route::prefix('api')
            ->middleware('api')
            ->namespace($this->moduleNamespace)
            ->group(__DIR__.'/../Routes/api.php');
    }
    public function register()
    {
       EloquentRepositoryFacad::register();
        EloquentRepositoryFacad::register();
        EloquentQuestionRepositoryFacade::register();

    }
}
