<?php

namespace Modules\Settings\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Settings extends Model
{
    use HasFactory;

    protected $fillable = [];
    const CONTACT_US='contact_us';
    const ADDRESS='Address';
    const EMAIL='email';
    const PHONE='phone';
    const ABOUT_US_ONE='about_us_one';
    const ABOUT_US_TWO='about_us_two';
    const APP_LINK_SIBAPP='app_link_sibapp';
    const APP_LINK_BAZAR='app_link_bazar';
    const APP_LINK_GOOGLE_PLAY='app_linkـgoogle_play';
    const APP_LINK_APP_STORE='app_link_app_store';
    const TITLE_HOME='title_home';


    protected static function newFactory()
    {
        return \Modules\Settings\Database\factories\SettingsFactory::new();
    }
}
