<?php

namespace Modules\ContactUs\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\ContactUs\Transformers\ShowContactUsResource;
use Modules\ContactUs\Transformers\ShowMediaContactUsResource;
use Modules\Settings\Entities\Settings;
use Modules\Settings\Services\SettingServices;
use Modules\SocialMedia\Services\SocialMediaServices;
use phpDocumentor\Reflection\Types\Object_;
use function App\Helper\onSuccess;

class ContactUsController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index(SettingServices $Setting,SocialMediaServices $media)
    {
        $contentUs=(object)array();
//        $d->x=1;
//        return$d;
       $setting=($Setting->show()) ;
        $contentUs->content=$setting[Settings::CONTACT_US]??"";
        $contentUs->address=$setting[Settings::ADDRESS]??"";
        $contentUs->email=$setting[Settings::EMAIL]??"";
        $contentUs->phone_number=$setting[Settings::PHONE]??"";
        $contentUs->social_links= ShowMediaContactUsResource::collection($media->show());
        return ($contentUs)? onSuccess($contentUs):onSuccess([]);
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
//    public function store(Request $request)
//    {
//        //
//    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
//    public function show($id)
//    {
//        //
//    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        Settings::query()->truncate();
//        return $request['tel'];
        $userData = array(
//            ['key' => Settings::ABOUT_US, 'value' => $request['tel']??'نامشخص'],
            ['key' => Settings::CONTACT_US, 'value' => $request['contact_us']??'نامشخص'],
//            ['key' => Settings::PROFIT_AZHAND, 'value' => $request['profit_azhand']??'نامشخص'],
//            ['key' => Settings::PROFIT_INVITE, 'value' => $request['profit_invite']??'نامشخص'],
//            ['key' => Settings::TELEGRAM, 'value' => $request['telegram']??'نامشخص'],
//            ['key' => Settings::INSTAGRAM, 'value' => $request['instagram']??'نامشخص'],
//            ['key' => Settings::TWITTER, 'value' => $request['Twitter']??'نامشخص'],
//            ['key' => Settings::APP_LINK_DIRECT_DOWNLOAD, 'value' => $request['app_link_direct_download']??'نامشخص'],
//            ['key' => Settings::APP_LINK_GOOGLE_PLAY, 'value' => $request['app_linkـgoogle_play']??'نامشخص'],
//            ['key' => Settings::APP_LINK_MYKET, 'value' => $request['app_link_myket']??'نامشخص'],
//            ['key' => Settings::APP_LINK_BAZAR, 'value' => $request['app_link_bazar']??'نامشخص'],
//            ['key' => Settings::EMAIL, 'value' => $request['email']??'نامشخص'],
        );
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
//    public function destroy($id)
//    {
//        //
//    }

}
