<?php
/**
 * Created by PhpStorm.
 * User: Asus
 * Date: 14.02.2022
 * Time: 20:04
 */

namespace Modules\Helper\EloquentRepository;


use Modules\Category\Models\Services;
use Modules\Helper\EloquentRepository\InterfaceEloquentRepository;
use Modules\Helper\Helper;

class EloquentRepository implements InterfaceEloquentRepository
{
    public function eloquentAllData($model,array $relations=null){
        if ($relations)
            return $model::with($relations)->paginate(20);
        return $model::paginate(20);
    }
    public function eloquentAllDataWithoutPaginate ($model,array $relations=null){
        if ($relations)
            return $model::with($relations)->get();
        return $model::all();
    }
    public function eloquentCreate($model,$data){
       return $model::create($data);
    }
    public function eloquentFindById($model,$id){
      return  $model::find($id);
    }
    public function eloquentUpdateById($model,$request){
        return $model->update($request);
    }
    public function eloquentdestroyById($model){
        return $model->delete();
    }
}
