<?php
/**
 * Created by PhpStorm.
 * User: Asus
 * Date: 08.09.2021
 * Time: 23:42
 */

namespace Modules\Helper;


use Illuminate\Pagination\LengthAwarePaginator;
use Illuminate\Pagination\Paginator;
use Illuminate\Pipeline\Pipeline;
use Illuminate\Support\Collection;

class Helper
{

    public static function Result_chenge($value) {
        return $value ?  0 :1;
    }
    public static function  findRequest($request,$getCodeRequest=200){
            return response()->json([
                'success'=>true,
                'data'=> $request,
            ],$getCodeRequest);

    }

    public static function notdestroyFindRequest($success,$getCodeRequest=200){
        return response()->json([
            'success'=>$success,
        ],$getCodeRequest);
    }
    public static function notFindRequest($message,$getCodeRequest=200){
            return response()->json([
                'success'=>false,
                'message' => $message
            ],$getCodeRequest);
    }
    public static function Result_exist($value) {
        return $value ?  $value :false;
    }
    public static function resultExist($value) {
        return $value ?  $value :false;
    }
    public static function result($value) {
        return $value ?  $value :null;
    }
    public static function Result_bool($value):bool {
        return $value ?  true:false;
    }

    public static function isNotEmptyReturn($model, $return, $message, $getCodeRequest=200)
    {
        return ($model->isNotEmpty()) ?
            $return : self::findRequest($message,$getCodeRequest);
    }
    public static function isNotEmptyFunctionReturn($model, $return, $message, $getCodeRequest=200)
    {
        return ($model->isNotEmpty()) ?
           $return : self::notFindRequest($message,$getCodeRequest);
    }
    public static function functionReturnIsNull($model, $return, $message, $getCodeRequest=200)
    {
        return ($model) ?
            $return : self::notFindRequest($message,$getCodeRequest);
    }
    public static function ReturnIsNull($model, $return, $message, $getCodeRequest=200)
    {
        return ($model) ?
            $return : self::findRequest($message,$getCodeRequest);
    }
        public static function paginate($items, $perPage = 10, $page = null, $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
            $items = $items instanceof Collection ? $items : Collection::make($items);
        return new LengthAwarePaginator($items->forPage($page, $perPage), $items->count(), $perPage, $page, $options);
    }

    public static function pipeline($model,array $filter){
        return app(Pipeline::class)
            ->send($model)
            ->through($filter)->thenReturn()->paginate(30);
    }
    public static function pipelinewhitoutpaginate($model,array $filter){
        return app(Pipeline::class)
            ->send($model)
            ->through($filter)->thenReturn()->get();
    }
    public static function pipelineWithoutGet($model,array $filter){
        return app(Pipeline::class)
            ->send($model)
            ->through($filter)->thenReturn();
    }
    public static function timeFormat($time){
        $time = explode(':',$time);
        return  \Carbon\Carbon::parse("00-00-00")->setTime($time[0], $time[1], $time[2]);

    }
//    public static function existArray(array $array){
//        $array
//}
}
