<?php

namespace Modules\Home\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\QuestionSite\Models\Faq;
use Modules\Settings\Entities\Settings;
use Modules\Settings\Services\SettingServices;
use function App\Helper\onSuccess;

class HomeController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        $home=(object) array();
        $setting=(new SettingServices())->show() ;

        $home->winners=[
            'title'=>$setting[Settings::TITLE_HOME]??"",
            'winners'=>[
                'full_name'=> "",
              'mobile'=> 456565,
              'win_type'=> "ujsnvd",
              'image'=> "",
              'city'=> "",
          ]

        ];
        $aboutUs=(object)array();
        $aboutUs->app_store=$setting[Settings::APP_LINK_APP_STORE]??"";
        $aboutUs->bazaar=$setting[Settings::APP_LINK_BAZAR]??"";
        $aboutUs->sibapp=$setting[Settings::APP_LINK_SIBAPP]??"";
        $aboutUs->google_play=$setting[Settings::APP_LINK_GOOGLE_PLAY]??"";
        $home->app_links=$aboutUs;
        $home->faq=Faq::query()->select('id','title','content')->get();
        return onSuccess($home);
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}
