<?php

namespace Modules\Category\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ShowServiceUserResources extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'data' =>[
                'id' => $this->id,
                'title' => $this->title,
                'image' => $this->image,
                'caption'=> $this->caption
            ],
            'success'=>true
        ];
    }

    public function with($request)
    {
        return ['success' =>true,];

    }
}
