<?php

namespace Modules\Settings\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Settings\Entities\Settings;
use Modules\Settings\Services\SettingServices;
use function App\Helper\onSuccess;

class SettingsController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
         $settingServices=new SettingServices();
        return onSuccess($settingServices->show());
    }

    public function update(Request $request){
        Settings::query()->truncate();
        $userData = array(
            ['key' => Settings::ADDRESS, 'value' => $request['address']??'نامشخص'],
            ['key' => Settings::CONTACT_US, 'value' => $request['contact_us']??'نامشخص'],
            ['key' => Settings::PHONE, 'value' => $request['phone']??'نامشخص'],
            ['key' => Settings::ABOUT_US_ONE, 'value' => $request['about_us_one']??'نامشخص'],
            ['key' => Settings::ABOUT_US_TWO, 'value' => $request['about_us_two']??'نامشخص'],
            ['key' => Settings::APP_LINK_SIBAPP, 'value' => $request['app_link_sibapp']??'نامشخص'],
            ['key' => Settings::APP_LINK_BAZAR, 'value' => $request['app_link_bazar']??'نامشخص'],
            ['key' => Settings::APP_LINK_GOOGLE_PLAY, 'value' => $request['app_linkـgoogle_play']??'نامشخص'],
            ['key' => Settings::APP_LINK_APP_STORE, 'value' => $request['app_link_app_store']??'نامشخص'],
            ['key' => Settings::EMAIL, 'value' => $request['email']??'نامشخص'],
        );
         Settings::insert($userData);
        return $this->index();


    }


}
