<?php

namespace Modules\User\Transformers;

use Illuminate\Http\Resources\Json\JsonResource;

class LoginUserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request
     * @return array
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return [
            'id'=>$this->id??"",
            'first_name'=>$this->first_name??"",
            'last_name'=>$this->last_name??"",
            'mobile'=>$this->mobile??"",
            'email'=>$this->email??"",
            'city'=>$this->city??"",
            'state'=>$this->state??"",
            'village'=>$this->village??"",
            'invite_code'=>$this->invite_code??"",
            'status'=>$this->status??"",
            'total_score'=>$this->scores_sum_amount??0,
            'is_in_lottery'=>$this->is_in_lottery??"",
        ];
    }
}
