<?php

namespace App\Classes\Kavenegar;
use Kavenegar\KavenegarApi;
class SendOtp
{
//    use Kavenegar;

    public static function use(): SendOtp
    {
        return new static();
    }
    /**
     * @param $mobile
     * @param $code
     */
    public  function sendOtp($mobile, $code)
    {
//        return 1;
//        755A634268336B70516A59375A7947445945526F77704345776264625A764E364D456C37716446317435633D
        $kavenegar=new KavenegarApi(env('KAVENEGAR_TOKEN'));
        try{
            $token = $code;
            $result = $kavenegar->VerifyLookup($mobile,$token,null,null,'otp','sms');
            if($result){
                return ["success"=>true,"code"=>$token];
            }
        }
        catch(\Kavenegar\Exceptions\ApiException $e){
            // در صورتی که خروجی وب سرویس 200 نباشد این خطا رخ می دهد
            return response()->json(["error"=>$e->errorMessage()]);
        }
        catch(\Kavenegar\Exceptions\HttpException $e){
            // در زمانی که مشکلی در برقرای ارتباط با وب سرویس وجود داشته باشد این خطا رخ می دهد
            return response()->json(["error"=>$e->errorMessage()]);
        }
    }
}
